org.keycloak.protocol.oidc.par.endpoints

## Class AbstractParEndpoint

- java.lang.Object
- - org.keycloak.protocol.oidc.par.endpoints.AbstractParEndpoint

- Direct Known Subclasses:
    ParEndpoint

      public abstract class AbstractParEndpoint
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientModel` | `client`
    `protected Cors` | `cors`
    `protected EventBuilder` | `event`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractParEndpoint(KeycloakSession session, EventBuilder event)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `authorizeClient()`
    `protected void` | `checkRealm()`
    `protected void` | `checkSsl()`
    `protected byte[]` | `getHash(String inputData)`
    `protected CorsErrorResponseException` | `throwErrorResponseException(String error, String detail, javax.ws.rs.core.Response.Status status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          protected final KeycloakSession session

    - #### event

          protected final EventBuilder event

    - #### realm

          protected final RealmModel realm

    - #### cors

          protected Cors cors

    - #### client

          protected ClientModel client

  - ### Constructor Detail

    - #### AbstractParEndpoint

          public AbstractParEndpoint(KeycloakSession session,
                                     EventBuilder event)

  - ### Method Detail

    - #### checkSsl

          protected void checkSsl()

    - #### checkRealm

          protected void checkRealm()

    - #### authorizeClient

          protected void authorizeClient()

    - #### getHash

          protected byte[] getHash(String inputData)

    - #### throwErrorResponseException

          protected CorsErrorResponseException throwErrorResponseException(String error,
                                                                           String detail,
                                                                           javax.ws.rs.core.Response.Status status)

Copyright © 2021 JBoss by Red Hat. All rights reserved.